Bug 472645 - Please fix your package summary
Please fix your package summary
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libsmbios (Show other bugs)
10
All Linux
medium Severity low
: ---
: ---
Assigned To: Michael E Brown
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-22 10:58 EST by Richard Hughes
Modified: 2009-12-18 01:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:55:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Hughes 2008-11-22 10:58:40 EST
Hi!

I've opened this bug because you're listed as a maintainer of one or more packages in Fedora with a "bad summary"[1]. We've been discussing recently about adding clarification to the package guidelines, specifically about what makes a good package summary, and I would like people to fix as many existing packages as possible:

Our default GUI packaging tool makes the summary more prominent than the package name. The summary is often a better description for the end user when making a decision about installing. To make the user's experience better here, we try to have short succinct summaries that don't repeat the package name.

The summary needs to show differentiators that help the user choose which package to take a look at in more detail. Depending on the type of package we're looking at some of these should have different information than others. Libraries should also make clear what programming language they're useful for in addition to their claim to fame.

The summary should also be a noun phrase, for example "DVD and CD authoring software" rather than "Create video DVDs and CDs". For some packages it may be helpful to expand the package name that is an
acronym, e.g. for the package "gimp", the summary could be "GNU Image Manipulation Program".

Good examples:

* Package management service
* XQuery and XPath 2.0 library for Xerces-C
* Simple video DVD and CD authoring software
* Feature rich media player
* Media Player from the Mozilla Foundation
* Gstreamer based media player
* Customizable media player

Bad examples:

* System daemon that is a DBUS abstraction layer for package management (too verbose)
* XQilla is an XQuery and XPath 2.0 library, built on top of Xerces-C (repeating the program name)
* DeVeDe is a program to create video DVDs and CDs (VCD, sVCD or CVD) (to much detail)

Lots of people have already patched the summary in devel. If you've already patched your package, or think the summary of your package is fine (or you don't think it can be changed or made better), please close this bug with my sincere apologies. If you have any questions or just want me to commit a new summary and leave you alone, please feel free to email me back and ask me to do it.

Many thanks,

Richard Hughes

[1] where "bad" is defined by a simple hacky tool written by me, and isn't a reflection on you as a maintainer. :-)
Comment 1 Matěj Cepl 2008-11-22 18:45:32 EST
I guess no bug triage required.
Comment 2 Bug Zapper 2008-11-26 00:47:35 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Matt Domsch 2009-05-16 09:30:59 EDT
libsmbios 2.2.16 includes the following Summary lines for its packages.

Summary: Libsmbios C/C++ shared libraries
Summary: Python interface to Libsmbios C library
Summary: meta-package that pulls in all smbios utilities (binary executables and python scripts)
Summary: Binary utilities that use libsmbios
Summary: Python executables that use libsmbios
Summary: Development headers and archives

Good enough?
Comment 4 Bug Zapper 2009-11-18 04:23:15 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 01:55:19 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.